function Freq_pred(full_con)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%site = 'TA','PE', 'WH', 'PA'
%scenario = 'scenario1', 'scenario2', 'scenario3'    
%full_con = 'ConSet', 'FullSet'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
site = 'PA';
scenario = 'scenario2';
%%%%%%%%%%%%%%%%
%%%Scenario 1%%%
%%%%%%%%%%%%%%%%
%Response:   
%Current PM2.5 from site4
%Predictors: 
%Current & past PM10  form site4,
%          Past PM2.5 from site4.

%%%%%%%%%%%%%%%%
%%%Scenario 2%%%
%%%%%%%%%%%%%%%%
%Response:   
%Current PM2.5 from site4
%Predictors: 
%Current & past PM10  form site4,
%Current & past PM2.5 from all the other sites.

%%%%%%%%%%%%%%%%
%%%Scenario 3%%%
%%%%%%%%%%%%%%%%
%Response:   
%Current PM2.5 from the site
%Predictors: 
%Current & past PM2.5 & PM10  form other site
n   = 365;
NTR = 100;

% 3 scenarios
if strcmp(scenario, 'scenario1')     == 1 && strcmp(full_con, 'FullSet')   == 1
    tot_vec  = 2*n+1;
elseif strcmp(scenario, 'scenario1') == 1 && strcmp(full_con, 'ConSet') == 1
    tot_pred = 33;
elseif strcmp(scenario, 'scenario2') == 1 && strcmp(full_con, 'FullSet')   == 1
    tot_pred = 4*(n+1);
elseif strcmp(scenario, 'scenario2') == 1 && strcmp(full_con, 'ConSet') == 1
    tot_pred = 68;
elseif strcmp(scenario, 'scenario3') == 1 && strcmp(full_con, 'FullSet')   == 1
    tot_pred = (n+1)*6;
elseif strcmp(scenario, 'scenario3') == 1 && strcmp(full_con, 'ConSet') == 1
    tot_pred = 102;
else
    fprintf('ERROR: scenario or full_con\n');
    return;
end


freq_vec = zeros(tot_pred, 23);

for itc_ind = 1:22
    record = zeros(tot_pred,NTR);
    for time = 1:NTR
        fname = strcat('./NIWAResults/', site,'results/', full_con, '/Time_', num2str(time), '.mat');
        load(fname);
        [~,w] = min(ITC(itc_ind,:));
        for i = 1:tot_pred
            if Matbeta(i,w) ~= 0
           record(i,time) = 1;          
            end
        end
    end
     freq_vec(:,itc_ind) = sum(record,2);
end

cvrecord = zeros(tot_pred, NTR);
for time = 1:NTR
    fname = strcat('./NIWAResults/', site,'results/', full_con, '/Time_', num2str(time), '.mat');
    load(fname);             
   for i = 1:tot_pred
       if Matbeta(i,cvstep) ~= 0
          cvrecord(i,time) = 1;          
       end
   end
end
freq_vec(:,23) = sum(cvrecord,2);

fname = strcat('./NIWAResults/', site,'results/', site,'_', full_con, '_', 'freqpred.mat');
save(fname, 'freq_vec');

end            
