function freqplot_FullSet
site = 'PA';
%%%%%%%%%%%%%%%%
%%%Scenario 2%%%
%%%%%%%%%%%%%%%%
%Response:   
%Current PM2.5 from site4
%Predictors: 
%Current & past PM10  form site4,
%Current & past PM2.5 from all the other sites.

fname = strcat('./NIWAResults/',site, 'results/', site, '_FullSet_freqpred.mat');
load(fname);

if strcmp(site, 'PA')     == 1
    othersite = ["PE","TA","WH"];
elseif strcmp(site, 'WH') == 1
    othersite = ["PA","PE","TA"];
else
    fprintf('ERROR: only can be applied to site PA and WH');
    return;
end

    
dname = strings(1464);
for ii=1:366
    dname(ii) = strcat('PM_{10}-', site, '-', 'day', num2str(ii-1)); 
    dname(ii+366) = strcat('PM_{2.5}-', othersite(1),'-','day',num2str(ii-1));
    dname(ii+732) = strcat('PM_{2.5}-', othersite(2),'-','day',num2str(ii-1));
    dname(ii+1098) = strcat('PM_{2.5}-', othersite(3),'-','day',num2str(ii-1));
end



for ind = 1:23
    figure(ind);
    v = freq_vec(:, ind);
    z = zeros(20, 1);
    bar([z; v]);
    ylim([0 101])
    ylabel('Count')
    xlabel('Predictor')
    legend('FullSet');
    Labels = {dname(1),dname(367),dname(733),dname(1099), dname(1464)};
    set(gca, 'XTick', [21 387 753 1119 1485], 'XTickLabel', Labels, 'XTickLabelRotation', 45,'FontSize',8); 
end
end





