function gen_table_FullnoCon
site = 'PA';
fname = strcat('./NIWAResults/',site, 'results/', site, '_FullSet_freqpred.mat');
load(fname);

if strcmp(site, 'PA')     == 1
    othersite = ["PE","TA","WH"];
elseif strcmp(site, 'WH') == 1
    othersite = ["PA","PE","TA"];
else
    fprintf('ERROR: only can be applied to site PA and WH');
    return;
end

ConSet = [1:11, (12:14) + 172, (15:17) + 349, ...
    (1:11) + 366, (12:14) + 366 + 172, (15:17) + 366 + 349,... 
    (1:11) + 366*2, (12:14) + 366*2 + 172, (15:17) + 366*2 + 349,...
    (1:11) + 366*3, (12:14) + 366*3 + 172, (15:17) + 366*3 + 349];
    

%x axis label
dname = strings(1464);
for ii=1:366
    dname(ii) = strcat('PM10-', site, '-', 'day', num2str(ii-1)); 
    dname(ii+366) = strcat('PM2.5-', othersite(1),'-','day',num2str(ii-1));
    dname(ii+732) = strcat('PM2.5-', othersite(2),'-','day',num2str(ii-1));
    dname(ii+1098) = strcat('PM2.5-', othersite(3),'-','day',num2str(ii-1));
end


    [freq,ind] = sort(freq_vec(:,20), 'descend');
    freq_no0 = nonzeros(freq);
    
    Full_noCon = setdiff(ind(1:length(freq_no0)), ConSet);
    

    [count, count_order] = sort(freq_vec(Full_noCon,20),'descend');
    predictor = dname(Full_noCon(count_order));
    indices = count<20;
    count(indices) = [];
    predictor = predictor(1:length(count),:);
    
    
    
    fnameM =strcat('PA_FullnoCon.tex');
    fid = fopen(fnameM,'w');
    fprintf(fid, '\\begin{tabular}[t!]{cc} \n');
    fprintf(fid, '\\hline \n Predictor & Count \\\\ \n \\hline \n');
    
    for jj = 1: length(count)
        fprintf(fid, char(predictor(jj)));
        fprintf(fid, ' & ');
        fprintf(fid, '%2.0f', count(jj));
        fprintf(fid, ' \\\\ \n');
    end
         
    fprintf(fid, '\\hline \n');
    fprintf(fid, '\\end{tabular} \n');
    fclose(fid);
    
end


    
    