function gen_table_NMISE

fnamea = strcat('./NIWAResults/PAresults/FullSet/PA_NMISE_FullSet.mat');
load(fnamea);
comp_NMISE(:,1)= NMISE*100;
fnamea = strcat('./NIWAResults/PAresults/ConSet/PA_NMISE_ConSet.mat');
load(fnamea);
comp_NMISE(:,2)= NMISE*100;
fnamea = strcat('./NIWAResults/PEresults/FullSet/PE_NMISE_FullSet.mat');
load(fnamea);
comp_NMISE(:,3)= NMISE*100;
fnamea = strcat('./NIWAResults/PEresults/ConSet/PE_NMISE_ConSet.mat');
load(fnamea);
comp_NMISE(:,4)= NMISE*100;
fnamea = strcat('./NIWAResults/TAresults/FullSet/TA_NMISE_FullSet.mat');
load(fnamea);
comp_NMISE(:,5)= NMISE*100;
fnamea = strcat('./NIWAResults/TAresults/ConSet/TA_NMISE_ConSet.mat');
load(fnamea);
comp_NMISE(:,6)= NMISE*100;
fnamea = strcat('./NIWAResults/WHresults/FullSet/WH_NMISE_FullSet.mat');
load(fnamea);
comp_NMISE(:,7)= NMISE*100;
fnamea = strcat('./NIWAResults/WHresults/ConSet/WH_NMISE_ConSet.mat');
load(fnamea);
comp_NMISE(:,8)= NMISE*100;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%comp_NMISE(23,:) = [7.30,5.42,4.95,3.81,6.63,5.14,4.34,3.18];

comp_NMISEre(1:3,:) = comp_NMISE(12:14,:); 
comp_NMISEre(4:5,:) = comp_NMISE(9:10,:);
comp_NMISEre(6,:) = comp_NMISE(22,:);
comp_NMISEre(7,:) = comp_NMISE(11,:);
comp_NMISEre(8:11,:) = comp_NMISE(1:4,:);
comp_NMISEre(12:13,:) = comp_NMISE(18:19,:);
comp_NMISEre(14:17,:) = comp_NMISE(5:8,:);
comp_NMISEre(18:19,:) = comp_NMISE(20:21,:);
comp_NMISEre(20:22,:) = comp_NMISE(15:17,:);
comp_NMISEre(23,:) = comp_NMISE(23,:); 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


mi = zeros(size(comp_NMISEre,2),1);
semi = zeros(size(comp_NMISEre,2),1);
mm = zeros(size(comp_NMISEre,2),1);

criteria = {'AIC$_C$', 'KIC', 'KIC$_C$', 'BIC','EBIC', 'EBIC$^*$', 'EBIC$^o$',...
    'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$', 'ESC$_1^*$', 'ESC$_2^*$',...
    'gMDL$_1$','gMDL$_2$', 'EgMDL$_1$', 'EgMDL$_2$', 'EgMDL$_1^*$', 'EgMDL$_2^*$',...
    'MMLU', 'MMLG$_1$', 'MMLG$_2$','CV'};



fnameM = strcat('NMISE.tex');
fid = fopen(fnameM, 'w');
fprintf(fid, '\\begin{tabular}[t!]{lcccccccc} \n');
fprintf(fid, '\\hline \n');
fprintf(fid, '& \\multicolumn{2}{c}{Patumahoe} & \\multicolumn{2}{c}{Penrose} & \\multicolumn{2}{c}{Takapuna} & \\multicolumn{2}{c}{Whangaparoa} \\\\ \n');
fprintf(fid, '\\hline \n');
fprintf(fid, ' & FullSet & ConSet & FullSet & ConSet& FullSet & ConSet& FullSet & ConSet \\\\ \n');

for ii = 1:length(criteria)
    fprintf(fid, char(criteria(ii)));
    fprintf(fid, '&');


    for jj = 1:size(comp_NMISEre,2)
           [mi(jj,1), ~] = min(comp_NMISEre(:,jj));
           semi(jj,1) =  mi(jj,1) + 1/100*mi(jj,1);
           mm (jj,1) = mi(jj,1) + 10/100*mi(jj,1);
            if comp_NMISEre(ii,jj) == mi(jj,1)
                fprintf(fid, '{\\underline{ \\bf  %4.2f }}', comp_NMISEre(ii,jj));
            else
                if comp_NMISEre(ii,jj) <= semi(jj,1)
                    fprintf(fid, '{ \\bf  %4.2f }', comp_NMISEre(ii,jj));
                else
                    if comp_NMISEre(ii,jj) >= mm(jj,1)
                    fprintf(fid, '{ \\it %4.2f }', comp_NMISEre(ii,jj));
                    else
                        fprintf(fid, '%4.2f', comp_NMISEre(ii,jj));   
                    end %% if bad results
                end %%if second minimum
            end %%if minimum
   
      
                
        if jj == size(comp_NMISEre,2)
            fprintf(fid, '\\\\ \n');
        else
            fprintf(fid, '&');
        end  %if
    end %jj
end %ii

fclose(fid);


fid = fopen(fnameM,'a');
fprintf(fid, '\\hline \n');
fprintf(fid, '\\end{tabular} \n');
fclose(fid);
end
