function pred_num(site,full_con)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%site = 'TA','PE', 'WH', 'PA'
%full_con = 'FullSet', 'ConSet'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
predictors = zeros(100,23);

for time = 1:100
    fname = strcat('./NIWAResults/', site,'results/',full_con,'/Time_',num2str(time), '.mat');
    load(fname);
    for ind = 1:size(ITC,1)
        [~,w] = min(ITC(ind,:));
        predictors(time, ind) = length(find(Matbeta(:,w)~=0));
    end
    predictors(time,23) = length(find(Matbeta(:,cvstep)~=0));
end

predictorsre(:,1:3) = predictors(:,12:14); 
predictorsre(:,4:5) = predictors(:,9:10);
predictorsre(:,6) = predictors(:,22);
predictorsre(:,7) = predictors(:,11);
predictorsre(:,8:11) = predictors(:,1:4);
predictorsre(:,12:13) = predictors(:,18:19);
predictorsre(:,14:17) = predictors(:,5:8);
predictorsre(:,18:19) = predictors(:,20:21);
predictorsre(:,20:22) = predictors(:,15:17);
predictorsre(:,23) = predictors(:,23);

fname = strcat('./NIWAResults/',site, 'results/',site, '_', full_con, '_predictors.mat');
save(fname,'predictorsre');

criteria = {'AIC$_C$', 'KIC', 'KICC', 'BIC', 'EBIC', 'EBIC$^*$', 'EBIC$^o$', 'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$',...
    'ESC$_1^*$', 'ESC$_2^*$', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'EgMDL$_1^*$', 'EgMDL$_2^*$', 'MMLU', 'MMLG$_1$', 'MMLG$_2$', 'CV'};


quan = quantile(predictorsre,[0.025 0.25 0.50 0.75 0.975],1);
quantiles = {'0.025', '0.25', '0.50', '0.75', '0.975'};
fnameM =strcat(site, '_', full_con, '_pred_num.tex');
fid = fopen(fnameM,'w');
fprintf(fid, '\\begin{tabular}[t!]{l|ccccc} \n');
fprintf(fid, '\\hline \n');
fprintf(fid, 'Quantiles  &');
    
for jj = 1:length(quantiles)
fprintf(fid, char(quantiles(jj)));
if jj==length(quantiles)
        fprintf(fid, ' \\\\ \n');
     else
        fprintf(fid, ' & ');
end
end
fprintf(fid, '\\hline \n');

for ii = 1:length(criteria)
    fprintf(fid, char(criteria(ii)));
    
     fprintf(fid, '&');

for jj = 1: length(quantiles)
    
    fprintf(fid, '%5.1f', quan(jj,ii) );
if jj==length(quantiles)
        fprintf(fid, ' \\\\ \n');
     else
        fprintf(fid, ' & ');
end
end    %%jj    
   
end    %%ii
fclose(fid);
fid = fopen(fnameM,'a');
fprintf(fid, '\\hline \n');

fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\caption{Summary table for number of predictors } \n');
fclose(fid);
end

