function gen_tables_ITER_june14(n)
vec_om = [0 0.75];                  
vec_sigma = [sqrt(8) sqrt(0.2)]; 
vec_sigma2 = [8 0.2];
NTR=100;

for model = 1:4,
   % itc =  {'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'BIC', 'EBIC1', 'EBIC2', 'AIC$_C$', ...
   % 'KIC', 'KICC', 'MMLU', 'MMLG1', 'MMLG2', 'ESC1d', 'ESC2d', 'EgMDL1d', 'EgMDL2d', 'EBIC1d','CV'};
    itc = {'AIC$_C$', 'KIC', 'KICC', 'BIC', 'EBIC', 'EBIC$^*$', 'EBIC$^o$', 'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$',...
    'ESC$_1^*$', 'ESC$_2^*$', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'EgMDL$_1^*$', 'EgMDL$_2^*$', 'MMLU', 'MMLG$_1$', 'MMLG$_2$', 'CV'};

    fnameM =strcat('Iteration',num2str(n),'_model_',num2str(model),'.tex');
    fid = fopen(fnameM,'w');
    fprintf(fid, '\\begin{tabular}[t!]{l|ccccccccccccccccccccccc} \n');
    fprintf(fid, '\\hline \n');
    fprintf(fid, '$(\\omega, \\varsigma^2) $ &');
    for ii = 1:length(itc),
        fprintf(fid, char(itc(ii)));
        if ii == length(itc),
           fprintf(fid,'\\\\ \n');
        else
           fprintf(fid, '&');
        end
    end  
    fclose(fid);
    
    for Case = 1:3,
    fid = fopen(fnameM,'a');
    fprintf(fid,'\\hline \n \\multicolumn{24}{c}{Case %i} \\\\ \n \\hline \n', Case);
    
    iter_median = zeros(2,2,23); 
    mi          = zeros(2,2,1);
    semi        = zeros(2,2,1);
    for ind_om = 1:length(vec_om),
        omega = vec_om(ind_om);
        
        for ind_sig = 1:length(vec_sigma),
            sigma2 = vec_sigma2(ind_sig);
            
            fprintf(fid, '(%3.2f, %3.2f)& ', omega, sigma2);
            iterations = zeros(100,23);
            for tr = 1:NTR,
                fname = strcat('./SimulationResults/Results_n_',num2str(n), ...
                    '/Model_',num2str(model), ...
                    '/Case_',num2str(Case), ...
                    '/Omega_', num2str(ind_om), ...
                    '_Sig_', num2str(ind_sig), ...
                    '_Tr_', num2str(tr), ...
                    '.mat');
                load(fname);
                
                for ind=1:size(ITC,1),
                    [~,w] = min(ITC(ind,:));
                    iterations(tr, ind) = w;
                end %itc
                iterations(tr, 23) = cvstep;
            end %NTR
            
iterationsre(:,1:3) = iterations(:,12:14); 
iterationsre(:,4:5) = iterations(:,9:10);
iterationsre(:,6) = iterations(:,22);
iterationsre(:,7) = iterations(:,11);
iterationsre(:,8:11) = iterations(:,1:4);
iterationsre(:,12:13) = iterations(:,18:19);
iterationsre(:,14:17) = iterations(:,5:8);
iterationsre(:,18:19) = iterations(:,20:21);
iterationsre(:,20:22) = iterations(:,15:17);
iterationsre(:,23) = iterations(:,23);
                
            iter_median(ind_om, ind_sig, :) = median(iterationsre,1);  
            mi(ind_om, ind_sig,1)   = min(iter_median(ind_om, ind_sig, :));
            semi(ind_om, ind_sig,1) = min(setdiff(iter_median(ind_om, ind_sig, :), mi(ind_om, ind_sig,1)));
            for ind = 1:size(iter_median,3),
                if iter_median(ind_om,ind_sig,ind) == mi(ind_om,ind_sig,1)
                    fprintf(fid, '{ \\color{red} %5.1f }', iter_median(ind_om,ind_sig,ind) );
                else
                    if iter_median(ind_om,ind_sig,ind) == semi(ind_om,ind_sig,1)
                        fprintf(fid, '{ \\bf %5.1f }', iter_median(ind_om,ind_sig,ind) );
                    else 
                        fprintf(fid, ' %5.1f ', iter_median(ind_om,ind_sig,ind) );
                    end
                end
                
                                   
            
            
            
            if ind==size(iter_median,3),
                    fprintf(fid, ' \\\\ \n');
                else
                    fprintf(fid, ' & ');
            end
                         
                
            end %ind
            
        end %sig
        
    end %omega
    fclose(fid);
    end %Case
            
                
                
fid = fopen(fnameM,'a');
fprintf(fid, '\\hline \n');

fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\caption{Model } \n');
fclose(fid);
                     
                    
end %model             
   
end




