function gen_tables_MISE_june14(n)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%$
% Input:
% n = sample size (20,100,10000)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

vec_om = [0 0.75];                  
vec_sigma = [sqrt(8) sqrt(0.2)]; 
vec_sigma2 = [8 0.2];


for model = 1:4;
%criteria =  {'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'BIC', 'EBIC1', 'EBIC2', 'AIC$_C$', ...
%    'KIC', 'KICC', 'MMLU', 'MMLG1', 'MMLG2', 'ESC1d', 'ESC2d', 'EgMDL1d', 'EgMDL2d', 'EBIC1d', 'CV'};
criteria = {'AIC$_C$', 'KIC', 'KICC', 'BIC', 'EBIC', 'EBIC$^*$', 'EBIC$^o$', 'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$',...
    'ESC_1^*', 'ESC_2^*', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'EgMDL$_1^*$', 'EgMDL$_2^*$', 'MMLU', 'MMLG_1', 'MMLG_2', 'CV'};
fnameM =strcat('MISEn',num2str(n),'_model_',num2str(model),'.tex');
fid = fopen(fnameM,'w');
fprintf(fid, '\\begin{tabular}[t!]{l|ccccccccccccccccccccccc} \n');
fprintf(fid, '\\hline \n');
fprintf(fid, '$(\\omega, \\varsigma^2) $ &');
for ii = 1:length(criteria),
    fprintf(fid, char(criteria(ii)));
    if ii == length(criteria),
        fprintf(fid,'\\\\ \n');
    else
        fprintf(fid, '&');
    end
end
fclose(fid);
    
        





for Case = 1:3,
    fid = fopen(fnameM,'a');
    fprintf(fid,'\\hline \n \\multicolumn{24}{c}{Case %i} \\\\ \n \\hline \n', Case);
    fname = strcat('./SimulationResults/Results_n_',num2str(n),'/Model_',num2str(model),'/Case_',num2str(Case),'/MISE.mat');
    load(fname);
    
   MISEre(:,:,1:3) = MISE(:,:,12:14); 
MISEre(:,:,4:5) = MISE(:,:,9:10);
MISEre(:,:,6) = MISE(:,:,22);
MISEre(:,:,7) = MISE(:,:,11);
MISEre(:,:,8:11) = MISE(:,:,1:4);
MISEre(:,:,12:13) = MISE(:,:,18:19);
MISEre(:,:,14:17) = MISE(:,:,5:8);
MISEre(:,:,18:19) = MISE(:,:,20:21);
MISEre(:,:,20:22) = MISE(:,:,15:17);
MISEre(:,:,23) = MISE(:,:,23); 
 
    for ind_om = 1:length(vec_om),
        omega = vec_om(ind_om);
        
        
        for ind_sig = 1:length(vec_sigma),
            sigma2 = vec_sigma2(ind_sig);
            
            fprintf(fid, '(%3.2f, %3.2f)& ', omega, sigma2);
            [mi,~] = min(MISEre(ind_om,ind_sig,:));
            mm = mi + 5/100*mi; %plus 5% of the minimum
            for ind=1:size(MISEre,3),
                                          
                if MISEre(ind_om,ind_sig,ind)<=mm, %%%%%%
                    if MISEre(ind_om,ind_sig,ind)==mi
                        if (model==1) || (model==2),
                            fprintf(fid, '{ \\color{red} %5.4f }', MISEre(ind_om,ind_sig,ind) );
                        else
                                fprintf(fid, '{ \\color{red} %3.2f }', MISEre(ind_om,ind_sig,ind) );
                        end
                    else
                        if (model==1) || (model==2),
                            fprintf(fid, '{ \\bf %5.4f }', MISEre(ind_om,ind_sig,ind) );
                        else
                            fprintf(fid, '{ \\bf %3.2f }', MISEre(ind_om,ind_sig,ind) );
                        end
                    end
                else
                    if (model==1) || (model==2),
                        fprintf(fid, '%5.4f', MISEre(ind_om,ind_sig,ind) );
                    else
                        fprintf(fid, '%3.2f', MISEre(ind_om,ind_sig,ind) );
                    end
                end
                
                
                
                if ind==size(MISEre,3),
                    fprintf(fid, ' \\\\ \n');
                else
                    fprintf(fid, ' & ');
                end
                
            end %ind
            
        end %sig
        
    end %omega
    fclose(fid);
end %Case


fid = fopen(fnameM,'a');
fprintf(fid, '\\hline \n');

fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\caption{Model } \n');
fclose(fid);
 


end %model

end