function gen_tables_PRED_june14(n)

vec_om = [0 0.75];                  
vec_sigma = [sqrt(8) sqrt(0.2)]; 
vec_sigma2 = [8 0.2];
NTR=100;

for model = 1:4
    % itc =  {'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'BIC', 'EBIC1', 'EBIC2', 'AIC$_C$', ...
    %'KIC', 'KICC', 'MMLU', 'MMLG1', 'MMLG2', 'ESC1d', 'ESC2d', 'EgMDL1d', 'EgMDL2d', 'EBIC1d', 'CV'};
    itc = {'AIC$_C$', 'KIC', 'KICC', 'BIC', 'EBIC', 'EBIC$^*$', 'EBIC$^o$', 'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$',...
    'ESC$_1^*$', 'ESC$_2^*$', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'EgMDL$_1^*$', 'EgMDL$_2^*$', 'MMLU', 'MMLG$_1$', 'MMLG$_2$', 'CV'};

    fnameM = strcat('pred_num', num2str(n), '_model_',num2str(model),'.tex');
    fid = fopen(fnameM,'w');
    fprintf(fid, '\\begin{tabular}[t!]{l|ccccccccccccccccccccccc} \n');
    fprintf(fid, '\\hline \n');
    fprintf(fid, '$(\\omega, \\varsigma^2) $ &');
    for ii = 1:length(itc),
        fprintf(fid, char(itc(ii)));
        if ii == length(itc),
           fprintf(fid,'\\\\ \n');
        else
           fprintf(fid, '&');
        end
    end  
    fclose(fid);
    
    for Case = 1:3,
    fid = fopen(fnameM,'a');
    fprintf(fid,'\\hline \n \\multicolumn{24}{c}{Case %i} \\\\ \n \\hline \n', Case);

    pred_median = zeros(2,2,23); 
    mi          = zeros(2,2,1);
    semi        = zeros(2,2,1);
    for ind_om = 1:length(vec_om),
        omega = vec_om(ind_om);
        
        for ind_sig = 1:length(vec_sigma),
            sigma2 = vec_sigma2(ind_sig);
            
            fprintf(fid, '(%3.2f, %3.2f)& ', omega, sigma2);
            pred_num = zeros(100,size(pred_median,3));
            for tr = 1:NTR,
                fname = strcat('./SimulationResults/Results_n_',num2str(n), ...
                    '/Model_',num2str(model), ...
                    '/Case_',num2str(Case), ...
                    '/Omega_', num2str(ind_om), ...
                    '_Sig_', num2str(ind_sig), ...
                    '_Tr_', num2str(tr), ...
                    '.mat');
                load(fname);
                for ind = 1:size(ITC,1)
                    [~,w] = min(ITC(ind,:));
                    pred_num(tr, ind) = length(find(Matbeta(:,w)~=0));
                end %ITC
                pred_num(tr,23) = length(find(Matbeta(:,cvstep)~=0));
            end %NTR
            
            pred_numre(:,1:3) = pred_num(:,12:14); 
pred_numre(:,4:5) = pred_num(:,9:10);
pred_numre(:,6) = pred_num(:,22);
pred_numre(:,7) = pred_num(:,11);
pred_numre(:,8:11) = pred_num(:,1:4);
pred_numre(:,12:13) = pred_num(:,18:19);
pred_numre(:,14:17) = pred_num(:,5:8);
pred_numre(:,18:19) = pred_num(:,20:21);
pred_numre(:,20:22) = pred_num(:,15:17);
pred_numre(:,23) = pred_num(:,23);
            
            pred_median(ind_om, ind_sig, :) = median(pred_numre,1);   
            mi(ind_om, ind_sig, 1) = min(pred_median(ind_om, ind_sig, :));
            semi(ind_om, ind_sig,1) = min(setdiff(pred_median(ind_om, ind_sig, :), mi(ind_om, ind_sig,1)));
            for ind = 1:size(pred_median,3),
                if pred_median(ind_om,ind_sig,ind) == mi(ind_om,ind_sig,1)
                    fprintf(fid, '{ \\color{red} %5.1f }', pred_median(ind_om,ind_sig,ind) );
                else
                    if pred_median(ind_om,ind_sig,ind) == semi(ind_om,ind_sig,1)
                        fprintf(fid, '{ \\bf %5.1f }', pred_median(ind_om,ind_sig,ind) );
                    else 
                        fprintf(fid, ' %5.1f ', pred_median(ind_om,ind_sig,ind) );
                    end
                end
                
                if ind==size(pred_median,3),
                    fprintf(fid, ' \\\\ \n');
                else
                    fprintf(fid, ' & ');
                end
                                         
                
            end %ind
            
        end %sig
        
    end %omega
    fclose(fid);
end %Case
                
                
fid = fopen(fnameM,'a');
fprintf(fid, '\\hline \n');

fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\caption{Model } \n');
fclose(fid);
                     
                    
end %model 
            
                    





end

